#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 51. Typesetting

- Prev

  biber-2.16

- Next

  xindy-2.5.1

- Up
- Home

# dvisvgm-2.11.1

## Introduction to dvisvgm

The dvisvgm package converts DVI, EPS and PDF files to SVG format.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/mgieseki/dvisvgm/releases/download/2.11.1/dvisvgm-2.11.1.tar.gz

- Download MD5 sum: 2eb037bd599c7f9af9fc3d176de97b86

- Download size: 3.0 MB

- Estimated disk space required: 334 MB (49 MB installed, add 959 MB for the tests)

- Estimated build time: 0.8 SBU (add 0.6 SBU for the tests, both using parallelism=4)

### dvisvgm Dependencies

#### Required

Brotli-1.0.9, ghostscript-9.53.3 and Potrace-1.16

#### Recommended

WOFF2-1.0.2

#### Optional

asciidoc-9.1.0 with xmlto-0.0.28 and libxslt-1.1.34 (see command explanations), dblatex (with the above) and xxHash (the current version is included in the tarball)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/dvisvgm

## Installation of dvisvgm

To enable the build system to link to `libkpathsea.so`, as the `root` user create a symlink from `/usr/lib`:

    ln -svf /opt/texlive/2020/lib/libkpathsea.so /usr/lib

The testsuite assumes that a modern version of Python has been installed as plain python. Changing this to use python3 requires a sed to one of `Makefile.in` files, but that gets regenerated when autoreconf is run, so the sed must come after that.

Install dvisvgm by running the following commands:

    sed -i 's/python/&3/' tests/Makefile.in       &&
    autoreconf -fiv                               &&
    ./configure                                    \
     --bindir=/opt/texlive/2020/bin/${TEXARCH}     \
     --mandir=/opt/texlive/2020/texmf-dist/doc/man \
     --with-kpathsea=/opt/texlive/2020            &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

ln -svf /opt/texlive/2020/lib/libkpathsea.so /usr/lib: Without this, the program will not link correctly,

autoreconf -fiv: The versions of autoconf and automake used when this package was created are older than the current versions in LFS. That causes 'make' to fail when it reaches the 'tests' subdirectory unless autoreconf is forced to install missing (i.e. newer) auxiliary files.

--with-kpathsea=/opt/texlive/2020: This allows the build system to find the headers for `kpathsea`

## Contents

Installed Programs: dvisvgm
Installed Libraries: None
Installed Directories: None

### Short Descriptions

dvisvgm | converts DVI, EPS and PDF files to the SVG format

Last updated on 2021-02-25 10:46:48 -0800

- Prev

  biber-2.16

- Next

  xindy-2.5.1

- Up
- Home